<template>
  <v-app>
    <v-app-bar
      app
      src="@/assets/Banner Site@2x.png"
      prominent
      flat
      color="rgba(219, 234, 254)"
    >
      <template v-slot:img="{ props }">
        <v-img v-bind="props" contain class=""></v-img>
      </template>
    </v-app-bar>

    <v-main>
      <div class="w-full absolute flex flex-row justify-between">
        <div>
          <v-btn text icon color="primary" @click="goToHome" x-large>
            <v-icon
              v-if="
                $route.name !== 'Home' &&
                $route.name !== 'Login' &&
                $route.name !== 'Classes' &&
                $route.name !== 'SignIn'
              "
              >mdi-home</v-icon
            >
            <v-icon v-if="$route.name == 'Home'">mdi-chevron-left</v-icon>
          </v-btn>
        </div>
        <div class="text-right">
          <v-btn text icon color="primary" @click="logout" x-large>
            <v-icon>mdi-logout</v-icon>
          </v-btn>
        </div>
      </div>
      <v-container>
        <router-view></router-view>
      </v-container>
    </v-main>
  </v-app>
</template>

<script>
export default {
  name: "App",
  metaInfo: {
    title: "Bulletins Intelligents 2",
    htmlAttrs: {
      lang: "fr",
    },
  },
  methods: {
    logout() {
      this.$store.dispatch("logout");
    },
    goToHome() {
      this.$route.name === "Home"
        ? this.$router.replace({ name: "Classes" })
        : this.$router.replace({ name: "Home" });
    },
  },

  //components: { TheNavBar },
};
</script>


<style>
button:focus,
button:active:focus,
button.active:focus {
  outline: none !important;
  outline-style: none !important;
}
html,
body {
  height: 100%;
}
</style>
